.button{
    width: fit-content;
    margin: auto;
    display: block;
    padding: 16px 24px;
    border-radius: 16px;
    background-color : $violet;
    color: $blanc;
    text-transform: uppercase;
    font-size: $h2;
    position: relative;
    box-sizing: border-box;
    margin-top: 80px;
    text-decoration: none;
    transition: 0.3s;
    top : 0;
    left: 0;

    &::after{
        content : "space";
        width: 100%;
        box-sizing: border-box;
        position: absolute;
        padding: 16px 24px;
        border-radius: 16px;
        border: 1px solid $violet;
        color: $blanc;
        font-size: $h2;
        z-index: -1;
        top : 4px;
        left: 4px;
        transition: 0.3s;
    }

    &:hover{
        top : 4px;
        left: 4px;
        &::after{
            top : -1px;
            left: 0px;
        }
    }
}